net.sourceforge.pmd.lang.java.symboltable

## Class MethodNameDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration
  - - net.sourceforge.pmd.lang.java.symboltable.MethodNameDeclaration

All Implemented Interfaces:
  NameDeclaration

    public class MethodNameDeclaration
    extends AbstractNameDeclaration

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

`node`

### Constructor Summary

Constructors
Constructor and Description
`MethodNameDeclaration(ASTMethodDeclarator node)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`ASTMethodDeclarator` `getMethodNameDeclaratorNode()`
`int` `getParameterCount()`
`String` `getParameterDisplaySignature()`
`int` `hashCode()`
`boolean` `isVarargs()`
`String` `toString()`

### Methods inherited from class net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

`getImage, getNode, getScope`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodNameDeclaration

    public MethodNameDeclaration(ASTMethodDeclarator node)

### Method Detail

#### getParameterCount

    public int getParameterCount()

#### isVarargs

    public boolean isVarargs()

#### getMethodNameDeclaratorNode

    public ASTMethodDeclarator getMethodNameDeclaratorNode()

#### getParameterDisplaySignature

    public String getParameterDisplaySignature()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`